"# Pas de compatibilité avec Vi (meilleur comportement)
set nocompatible

"# Encodage général
set encoding=utf-8

"# Change le <Leader> en , à la place de \
let mapleader=","

"# Indentation
set autoindent
" Intelligente ({}, commentaires...)
set smartindent
" Remplace les tabulations par des espaces
set expandtab
" <BS> supprime un niveau d'indentation
set smarttab
" Affiche 2 espaces pour les tabulations
set tabstop=2
" Indentation de 2 espaces
set shiftwidth=2
" Arrondi à un niveau d'indentation
set shiftround

"# Numérotation
set number

"# Affichage de caractères spéciaux
set list
set listchars=nbsp:¬,tab:»·,trail:·

"# caractères de séparation de fenêtres
set fillchars+=vert:\ ,fold:\ 

"# Affichage de la dernière ligne, même non entière
"# Affichage des caractères spéciaux sous form <hex> plutôt que ^X
set display=lastline,uhex

"# Affiche toujours la statusline
set laststatus=2

"# Pas de sonneries
set noerrorbells
set novisualbell

"# Limites haute et basse du curseur
set scrolloff=8

"# Limites gauche et droite du curseur
"set nowrap
set sidescrolloff=3
set sidescroll=1

"# Recherche
" Va au résultat directement
set incsearch
set ignorecase
set smartcase
" /g par défaut (remettre /g pour annuler)
set gdefault
" Surligne les résultats
set hlsearch
" et pour l'enlever : ,/
nnoremap <silent> <Leader><Space> :nohlsearch<CR>

"# Menus améliorés (e.g <Tab>)
set wildmenu

"# Désactive les fichiers swap
set noswapfile
set nobackup
set nowritebackup

"# Correction (à activer avec set spell)
set spelllang=fr,en
set spellsuggest=5

"# Ne met pas le curseur au début de ligne lors du changement de buffer
" (impacte aussi gg, G, H, M, L, %, d…)
set nostartofline

"# Effacement (backspace) fonctionnel
set backspace=indent,eol,start

"# Priorité aux fichiers avec un . dans l'autocomplétion
" e.g : prog.c > prog
set suffixes+=,,

"# Méthode de cryptage (avec :X)
if version >= 704 && has("patch399")
  set cryptmethod=blowfish2
endif

"# Tilde avec motion
set tildeop

"# Demande une confirmation plutôt que de lever une erreur (:q, :e)
set confirm

"# Surligne la ligne courante
set cursorline

"# Autorise de changer de buffer sans sauvegarder
set hidden

"# Pas de support de la souris
set mouse=

"# share clipboad with X
set clipboard+=unnamedplus

"# default *.tex files ftplugin to latex file type
let g:tex_flavor = "latex"
